/// <reference types="node" />
import { EventEmitter } from "events";
import WClient from "./client";
import telnet from "./telnet";
interface WSSOptions {
    cert: string;
    key: string;
}
declare class WTServer extends EventEmitter {
    readonly clients: Map<string, WClient>;
    private _server;
    constructor(host: string, port: number, secure?: WSSOptions);
    on(event: "listening", listener: (host: string, port: number) => void): this;
    on(event: "close", listener: () => void): this;
    on(event: "error", listener: (error: Error) => void): this;
    on(event: "connection", listener: (client: WClient) => void): this;
    emit(event: "listening", host: string, port: number): boolean;
    emit(event: "close"): boolean;
    emit(event: "error", error: Error): boolean;
    emit(event: "connection", client: WClient): boolean;
}
declare namespace WTServer {
    const WTClient: typeof WClient;
    const Telnet: typeof telnet;
}
export = WTServer;
